DeepFellow DOCS
DeepFellow API ReferenceMetadata expansion

Retry a metadata expansion job's failed documents

Reset the job's failed documents to pending and re-queue them.

POST
/v1/metadata/jobs/{job_id}/retry
Authorization[Bearer <token>]

In: header

Path Parameters

job_id[Job Id]

The ID of the metadata expansion job to retry

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X POST "https://deepfellow-server-host/v1/metadata/jobs/5eb7cf5a86d9755df3a6c593/retry" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "project_id": "5eb7cf5a86d9755df3a6c593",
  "status": "pending",
  "fields": [
    {
      "name": "string",
      "description": "string"
    }
  ],
  "documents": [
    {
      "document_id": "5eb7cf5a86d9755df3a6c593",
      "status": "pending",
      "extracted": {
        "property1": "string",
        "property2": "string"
      },
      "error": "string",
      "attempts": 0
    }
  ],
  "describe_images": false,
  "created_at": 0,
  "finished_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.